#
# spec file for package Xerces-c (Version 2.7.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libicu libicu-devel libltdl-3 libmudflap42 libreadline5 libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           Xerces-c
BuildRequires:  gcc-c++ libicu-devel
%define         tarversion  2_7_0
%define         starversion 2_7
%define		sversion 27
%define         tarname     xerces-c-src_%{tarversion}
License:        The Apache Software License
Group:          Productivity/Publishing/XML
AutoReqProv:    on
Version:        2.7.0
Release:        75.2
Summary:        A Validating XML Parser
Url:            http://xml.apache.org/xerces-c/
Source:         xerces-c-src_%{tarversion}.tar.bz2
Patch:          xerces-c-src_%{tarversion}-lib64.patch
Patch1:         xerces-gcc34.patch
Patch2:         xerces-c-src_%{tarversion}-rpmoptflags.patch
#Patch3:       xerces-c-src_%{tarversion}-endelementfix.patch
Patch4:         xerces-c-src_2_7_0-CVE-2009-1885.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Xerces-C is a validating XML parser written in a portable subset of
C++. Xerces-C makes it easy to give your application the ability to
read and write XML data. A shared library is provided for parsing,
generating, manipulating, and validating XML documents. Xerces-C is
faithful to the XML 1.0 recommendation and associated standards ( DOM
1.0, DOM 2.0. SAX 1.0, SAX 2.0, Namespaces).



Authors:
--------
    The Apache Group <apache@apache.org>

%debug_package
%package -n libXerces-c-27
License:        The Apache Software License
Requires:       Xerces-c = %{version}
Group:          Productivity/Publishing/XML
Summary:        A Validating XML Parser

%description -n libXerces-c-27
Xerces-C is a validating XML parser written in a portable subset of
C++. Xerces-C makes it easy to give your application the ability to
read and write XML data. A shared library is provided for parsing,
generating, manipulating, and validating XML documents. Xerces-C is
faithful to the XML 1.0 recommendation and associated standards ( DOM
1.0, DOM 2.0. SAX 1.0, SAX 2.0, Namespaces).



Authors:
--------
    The Apache Group <apache@apache.org>

%package -n libXerces-c-devel
License:        The Apache Software License
Requires:       libXerces-c-27 = %{version}
Provides:       Xerces-c-devel = 2.6.0
Obsoletes:      Xerces-c-devel <= 2.6.0
Group:          Development/Libraries/C and C++
Summary:        A validating XML parser - Development Files

%description -n libXerces-c-devel
Xerces-C is a validating XML parser written in a portable subset of
C++. Xerces-C makes it easy to give your application the ability to
read and write XML data. A shared library is provided for parsing,
generating, manipulating, and validating XML documents.

This package includes files needed for development with Xerces-c



Authors:
--------
    The Apache Group <apache@apache.org>

%prep
%setup -q -n xerces-c-src_%{tarversion}
%patch0 -p1 -b .lib64
%patch1 -p1 -b .gcc34
%patch2 -b .rpmoptflags
#%patch3
%patch4

%build
DIRS=$(find -type d)
%{?suse_update_config:%{suse_update_config -f $DIRS}}
export XERCESCROOT=$RPM_BUILD_DIR/%{tarname}
export ICUROOT=/usr
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
cd $XERCESCROOT/src/xercesc
autoreconf --install --force
%ifarch alpha ppc64 s390x sparc64 x86_64
BITSTOBUILD=64
%else
BITSTOBUILD=32
%endif
./runConfigure -plinux -cgcc -xg++ -minmem -nsocket -ticu -b "$BITSTOBUILD" -P /usr -C --libdir=%_libdir
make 

%install
rm -rf $RPM_BUILD_ROOT
export XERCESCROOT=$RPM_BUILD_DIR/%{tarname}
export ICUROOT=/usr
cd $XERCESCROOT/src/xercesc
make install PREFIX=$RPM_BUILD_ROOT PREFIX_INCLUDE=$RPM_BUILD_ROOT/%{_includedir}/xercesc 
(cd $RPM_BUILD_ROOT%{_libdir} && rm -f libxerces-c.so.%{sversion} && ln -s libxerces-c.so.%{sversion}.0 libxerces-c.so.%{sversion})
(cd $RPM_BUILD_ROOT%{_libdir} && rm -f libxerces-c.so && ln -s libxerces-c.so.%{sversion}.0 libxerces-c.so)
(cd $RPM_BUILD_ROOT%{_libdir} && rm -f libxerces-depdom.so.%{sversion} && ln -s libxerces-depdom.so.%{sversion}.0 libxerces-depdom.so.%{sversion})
(cd $RPM_BUILD_ROOT%{_libdir} && rm -f libxerces-depdom.so && ln -s libxerces-depdom.so.%{sversion}.0 libxerces-depdom.so)

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
# ---------------------------------------------------------------------------

%post   -n libXerces-c-27 -p /sbin/ldconfig

%postun -n libXerces-c-27 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc LICENSE.txt Readme.html

%files -n libXerces-c-27
%defattr(-, root, root)
%{_libdir}/libxerces-c.so.*
%{_libdir}/libxerces-depdom.so.*

%files -n libXerces-c-devel
%defattr(-,root,root)
%{_libdir}/libxerces-c.so
%{_libdir}/libxerces-depdom.so
%{_includedir}/xercesc/

%changelog
* Thu Aug 13 2009 - prusnak@suse.cz
- fix CVE-2009-1885 (CVE-2009-1885.patch) [bnc#530708]
* Tue Aug 07 2007 - mrueckert@suse.de
- fixed file section for the devel package
- %%post* scriptlets for ldconfig
* Mon Aug 06 2007 - mrueckert@suse.de
- added provides/obsoletes for the package rename
* Mon Aug 06 2007 - zpetrova@suse.cz
- branch/rename package according to Share library guidelines.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - zpetrova@suse.cz
- added -fno-strict-aliasing.
* Wed Jan 11 2006 - zpetrova@suse.cz
- update to 2.7.0
* Fri Sep 09 2005 - zpetrova@suse.cz
- endelementfix.patch - namespace bug (#114685)
* Tue Jan 11 2005 - didge@suse.de
- update to 2.6.0
- build with icu libraries
- did some cleanup
* Thu Mar 18 2004 - didge@suse.de
- fixed bug #36229 with patch, provided there
* Mon Feb 23 2004 - didge@suse.de
- update to 2.5.0
* Sat Jan 17 2004 - meissner@suse.de
- added missing include to fix gcc3.4 build.
* Sun Jan 04 2004 - nashif@suse.de
- update to 2.4.0
* Tue Aug 26 2003 - nashif@suse.de
- Reduced docs
* Sun Jul 27 2003 - nashif@suse.de
- update to version 2.3.0
* Tue May 27 2003 - nashif@suse.de
- Removed CVS files
* Fri May 16 2003 - nashif@suse.de
- update to version 2.2.0
* Mon Jan 20 2003 - nashif@suse.de
- update to version 2.1.0
* Fri May 17 2002 - nashif@suse.de
- lib64 problems fixed: Now build on all architectures
* Wed May 15 2002 - nashif@suse.de
- Java not needed for build
* Fri Apr 05 2002 - nashif@suse.de
- Update to 1.70
* Tue Dec 11 2001 - nashif@suse.de
-  Update to version 1.60
* Mon Oct 29 2001 - nashif@suse.de
- Update to latest version: 1.5.2
- Among others, this release contains the following fixes and
  new features:
  - Schema support
  - DatatypeValidator support
  - XMLDeleterFor related functions and data are removed.
  Replace with XMLRegisterCleanup.
  - Various bug fixes related to runConfigure
  - Comment outside root element should also be reported.
  - Added U+0110 to XMLEBCDICTranscoder.cpp's "Unicode to IBM037"
  translation table.
  - Add "Base64::encode" for encoding binary data.
  - Performance: Use XMLBufBid instead of XMLBuffer directly for
  better performance.
* Mon Oct 01 2001 - nashif@suse.de
- Created sub-package doc
* Fri Aug 31 2001 - nashif@suse.de
- Update to version 1.5.1
- This release includes various bug fixes and Schema support
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Tue Feb 27 2001 - rolf@suse.de
- initial package 1.4.0 with devel subpackage
